---
title: programUnsubscribe
hideTableOfContents: true
h1: programUnsubscribe RPC Method
---

Unsubscribe from program-owned account change notifications

<DocSideBySide>

<DocLeftSide>

### Parameters

<Parameter type={"number"} required={true}>
  id of account Subscription to cancel
</Parameter>

### Result

`<bool>` - unsubscribe success message

</DocLeftSide>

<DocRightSide>

### Code sample

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "programUnsubscribe",
  "params": [0]
}
```

### Response

```json
{ "jsonrpc": "2.0", "result": true, "id": 1 }
```

</DocRightSide>
</DocSideBySide>
